---
layout: default
title: Halting
---

# Halting
Processing can be stopped by calling `#halt` within actions.

`#halt` does not return immediately. Instead, it sets a halting flag internally, and once the action returns, all threads will stop instead of processing further URIs.

Job instances run in separate threads. When a job signals that it wants to halt, all other threads will finish their current work, but will not process any further URIs. All instances have the chance to get their current work done.

{% highlight ruby %}
class DummyJob < Wayfarer::Job
  def example
    halt
    puts "This will be printed!"

    return halt
    puts "This will not be printed!"
  end
end
{% endhighlight %}
