---
layout: default
title: Locals
---

# Job queues

Thanks to [ActiveJob](http://edgeguides.rubyonrails.org/active_job_basics.html), jobs can be enqueued with various backends, e.g. Sidekiq or Resque:

{% highlight ruby %}
class DummyJob < Wayfarer::Job
  # Overrides ActiveJob's global setting
  self.queue_adapter = :resque

  # Identifier for enqueued jobs
  queue_as :dummy_job

  # Alternatively, pass a block
  queue_as do
    [:first, :second].sample
  end
end

# Alternatively, set the queue explicitly on call:
DummyJob.set(queue: :something_else).perform_later(*uris)
{% endhighlight %}