---
layout: default
title: Authentication
---

# Authentication

Authentication is best handled with the `setup_adapter` callback See [Callbacks]({{base}}/guides/callbacks.html).

{% highlight ruby %}
class DummyJob < Wayfarer::Job
  config.http_adapter = :selenium

  setup_adapter do |_, _, browser|
    browser.visit("https://foo.com/login")

    browser.fill_in("E-mail", with: "foo@bar.com")
    browser.fill_in("Password", with: "password")

    browser.click_button("Log in")
  end
end
{% endhighlight %}