---
layout: default
title: CSV output
---

# CSV output

See:

* [Locals]({{base}}/guides/locals.html)
* [Callbacks]({{base}}/guides/callbacks.html)

{% highlight ruby %}
require "csv" # from Ruby's standard lib

class DummyJob < Wayfarer::Job
  let(:records) { [] }

  after_crawl do
    CSV.open("output.csv", "w") do |csv|
      records.each { |r| csv << [r[:id], r[:name]] }
    end
  end

  def detail
    records << { id: ..., name: ...  }
  end
end
{% endhighlight %}