---
layout: default
title: Host rules
---

# Host rules

Host rules match against a host string or RegExp.

{% highlight ruby %}
class DummyJob < Wayfarer::Job
  route.host "example.com"
  route.host /example/
end
{% endhighlight %}

Matches:

* All URIs hosted on `"example.com"`.
* All URIs that contain `"example"`.

<aside class="note">
<code>"www.host.net"</code> and <code>"host.net"</code> are not considered equal. You have to specify the exact host when using strings. Consider using <code>/host.net/</code> instead.
</aside>
