require_relative "../lib/wayfarer"

class FindFoobarOnWikipedia < Wayfarer::Job
  config.http_adapter = :selenium
  config.selenium_argv = [:chrome]
  config.connection_count = 4

  let(:keywords) { [] }

  route.host "en.wikipedia.org", to: :article

  def article
    if page.body =~ /Foobar/
      driver.save_screenshot("/tmp/foobar.png")
      return halt
    end

    keywords << page.keywords
    stage page.links
  end
end

FindFoobarOnWikipedia.perform_now("https://en.wikipedia.org/wiki/Special:Random")