# frozen_string_literal: true
require "spec_helpers"

describe Wayfarer::Processor do
  let(:job) { Class.new(Wayfarer::Job) }
  let(:frontier) { Frontiers::MemoryFrontier.new(job.config) }
  let(:dispatcher) { Dispatcher.new(job) }
  subject(:processor) { Processor.new(job, frontier, dispatcher) }

  describe "#halt!" do
    it "sets a halting flag" do
      processor.halt!
      expect(processor).to be_halted
    end
  end

  describe "#halted?" do
    context "when not halted" do
      it "returns false" do
        expect(processor.halted?).to be false
      end
    end

    context "when halted" do
      it "returns true" do
        processor.halt!
        expect(processor.halted?).to be true
      end
    end
  end
end
