# frozen_string_literal: true
require "spec_helpers"

describe Wayfarer::Routing::CustomRule do
  let(:uri) { URI("http://example.com") }

  describe "#matches?" do
    context "with a block" do
      context "when block is truthy" do
        subject(:rule) { CustomRule.new -> (uri) { uri.is_a?(URI) } }

        it "returns true" do
          expect(rule.matches?(uri)).to be true
        end
      end

      context "when block is fals-y" do
        subject(:rule) { CustomRule.new -> (_) { false } }

        it "returns true" do
          expect(rule.matches?(uri)).to be false
        end
      end
    end
  end
end
