# frozen_string_literal: true
require "spec_helpers"

describe Wayfarer::Routing::ProtocolRule do
  describe "#matches?" do
    context "with a string" do
      subject(:rule) { ProtocolRule.new(:http) }

      context "with matching URI" do
        let(:uri) { URI("http://example.com") }

        it "returns true" do
          expect(rule.matches?(uri)).to be true
        end
      end

      context "with mismatching URI" do
        let(:uri) { URI("https://example.com") }

        it "returns true" do
          expect(rule.matches?(uri)).to be false
        end
      end
    end
  end
end
